Subject: Re[2]: Building-dll doc file
From: [email-masked]

27 Jan 1997 12:11:48 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN
Original-To: [email-masked], [email-masked]
Original-Sender: [email-masked]

     I've tried that, it doesn't work. I got exactly the same message.
     
     the new procedure was:
     
     gcc -c foo.c
     gcc -c foo2.c
     ld --dll -o foo.dll --base-file foo.base foo.o foo2.o 
     dlltool --def foo.def --output-exp foo.exp --output-lib foo.a 
     --dllname foo.dll
     ld --dll -o foo.dll foo.exp foo.o foo2.o
     
     gcc main.c foo.a -o main.exe

     
     :(

______________________________ Reply Separator _________________________________
Subject: Re: Building-dll doc file
Author:  [email-masked] at INTERNET
Date:    27/01/1997 16:04

Hi,
     
you have to run ld twice,
     
ld --dll -o foo.dll --base-file foo.base foo.o foo2.o 
dlltool --base-file foo.base <your dlltool options> 
ld --dll -o foo.dll foo.exp foo.o foo2.o
     
Gunther
     
[email-masked] wrote: 
>
>      Hi,
>
>
>      I've got b17 and try to build a dll as described in building-dlls
>      document, but it compiles successfully, but the excution of main.exe 
>      fails with the message 'can not execute foo.dll, check it for
>      details'?
>
>      Does any of you have an idea. 
>
>      Note: I have add '--dll' in the ld command 
>
>
>
>      dlltool --def foo.def --output-exp foo.exp --output-lib foo.a 
>      --dllname foo.dll
>      gcc -c foo.c
>      gcc -c foo2.c
>      ld --dll -o foo.dll foo.exp foo.o foo2.o 
>
>      gcc main.c foo.a -o main.exe
>
>
>      pascal
> ________________________________________________________ 
> MIMEsweeper has scanned this message and its attachments 
> and found it to be free of all known viruses.
>
> [email-masked]
> http://www.integralis.com
>
>           Innovation, Integration, Integralis
> ________________________________________________________ 
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
________________________________________________________
MIMEsweeper has scanned this message and its attachments
and found it to be free of all known viruses.

[email-masked]
http://www.integralis.com

          Innovation, Integration, Integralis
________________________________________________________
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".